Skip to main content
GET
Retrieve switchable values for a user or group

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Path Parameters

userAttributeId
string<uuid>
required

User attribute ID

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

Query Parameters

userId
string<uuid>

The user's membership ID, not their user ID. Mutually exclusive with groupId.

groupId
string<uuid>

The user group ID. Mutually exclusive with userId.

Response

The subject's provisioned values for this attribute.

Note: A user or group with no provisioned values returns 200 with values: [] and allow_any_value: false.

user_attribute_id
string
required

The user attribute definition this provisioning applies to.

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

values
string[]
required

Values this user or group can switch the attribute to. Numbers are returned as strings to preserve precision beyond 2^53.

Maximum array length: 300
Required string length: 1 - 512
Example:
allow_any_value
boolean
required

Whether the user or group can switch to a value that is not listed. When true, selectable_values are suggestions.

Example:

false